<!DOCTYPE html><html lang="en"><head><meta charset="utf-8"><meta name="viewport" content="width=device-width, initial-scale=1.0"><meta name="generator" content="rustdoc"><meta name="description" content="Source of the Rust file `&#x2F;nix&#x2F;store&#x2F;v9jmyrpcwymx5d6inidy85x2ljzgm935-vendored-sources&#x2F;typenum-1.15.0&#x2F;src&#x2F;operator_aliases.rs`."><meta name="keywords" content="rust, rustlang, rust-lang"><title>operator_aliases.rs - source</title><link rel="stylesheet" type="text/css" href="../../normalize.css"><link rel="stylesheet" type="text/css" href="../../rustdoc.css" id="mainThemeStyle"><link rel="stylesheet" type="text/css" href="../../light.css"  id="themeStyle"><link rel="stylesheet" type="text/css" href="../../dark.css" disabled ><link rel="stylesheet" type="text/css" href="../../ayu.css" disabled ><script id="default-settings" ></script><script src="../../storage.js"></script><script src="../../crates.js"></script><noscript><link rel="stylesheet" href="../../noscript.css"></noscript><link rel="alternate icon" type="image/png" href="../../favicon-16x16.png"><link rel="alternate icon" type="image/png" href="../../favicon-32x32.png"><link rel="icon" type="image/svg+xml" href="../../favicon.svg"><style type="text/css">#crate-search{background-image:url("../../down-arrow.svg");}</style></head><body class="rustdoc source"><!--[if lte IE 11]><div class="warning">This old browser is unsupported and will most likely display funky things.</div><![endif]--><nav class="sidebar"><div class="sidebar-menu" role="button">&#9776;</div><a href='../../typenum/index.html'><div class='logo-container rust-logo'><img src='../../rust-logo.png' alt='logo'></div></a></nav><div class="theme-picker"><button id="theme-picker" aria-label="Pick another theme!" aria-haspopup="menu" title="themes"><img width="18" height="18" alt="Pick another theme!" src="../../brush.svg"></button><div id="theme-choices" role="menu"></div></div><nav class="sub"><form class="search-form"><div class="search-container"><div><select id="crate-search"><option value="All crates">All crates</option></select><input class="search-input" name="search" disabled autocomplete="off" spellcheck="false" placeholder="Click or press ‘S’ to search, ‘?’ for more options…" type="search"></div><button type="button" id="help-button" title="help">?</button><a id="settings-menu" href="../../settings.html" title="settings"><img width="18" height="18" alt="Change settings" src="../../wheel.svg"></a></div></form></nav><section id="main" class="content"><div class="example-wrap"><pre class="line-numbers"><span id="1">  1</span>
<span id="2">  2</span>
<span id="3">  3</span>
<span id="4">  4</span>
<span id="5">  5</span>
<span id="6">  6</span>
<span id="7">  7</span>
<span id="8">  8</span>
<span id="9">  9</span>
<span id="10"> 10</span>
<span id="11"> 11</span>
<span id="12"> 12</span>
<span id="13"> 13</span>
<span id="14"> 14</span>
<span id="15"> 15</span>
<span id="16"> 16</span>
<span id="17"> 17</span>
<span id="18"> 18</span>
<span id="19"> 19</span>
<span id="20"> 20</span>
<span id="21"> 21</span>
<span id="22"> 22</span>
<span id="23"> 23</span>
<span id="24"> 24</span>
<span id="25"> 25</span>
<span id="26"> 26</span>
<span id="27"> 27</span>
<span id="28"> 28</span>
<span id="29"> 29</span>
<span id="30"> 30</span>
<span id="31"> 31</span>
<span id="32"> 32</span>
<span id="33"> 33</span>
<span id="34"> 34</span>
<span id="35"> 35</span>
<span id="36"> 36</span>
<span id="37"> 37</span>
<span id="38"> 38</span>
<span id="39"> 39</span>
<span id="40"> 40</span>
<span id="41"> 41</span>
<span id="42"> 42</span>
<span id="43"> 43</span>
<span id="44"> 44</span>
<span id="45"> 45</span>
<span id="46"> 46</span>
<span id="47"> 47</span>
<span id="48"> 48</span>
<span id="49"> 49</span>
<span id="50"> 50</span>
<span id="51"> 51</span>
<span id="52"> 52</span>
<span id="53"> 53</span>
<span id="54"> 54</span>
<span id="55"> 55</span>
<span id="56"> 56</span>
<span id="57"> 57</span>
<span id="58"> 58</span>
<span id="59"> 59</span>
<span id="60"> 60</span>
<span id="61"> 61</span>
<span id="62"> 62</span>
<span id="63"> 63</span>
<span id="64"> 64</span>
<span id="65"> 65</span>
<span id="66"> 66</span>
<span id="67"> 67</span>
<span id="68"> 68</span>
<span id="69"> 69</span>
<span id="70"> 70</span>
<span id="71"> 71</span>
<span id="72"> 72</span>
<span id="73"> 73</span>
<span id="74"> 74</span>
<span id="75"> 75</span>
<span id="76"> 76</span>
<span id="77"> 77</span>
<span id="78"> 78</span>
<span id="79"> 79</span>
<span id="80"> 80</span>
<span id="81"> 81</span>
<span id="82"> 82</span>
<span id="83"> 83</span>
<span id="84"> 84</span>
<span id="85"> 85</span>
<span id="86"> 86</span>
<span id="87"> 87</span>
<span id="88"> 88</span>
<span id="89"> 89</span>
<span id="90"> 90</span>
<span id="91"> 91</span>
<span id="92"> 92</span>
<span id="93"> 93</span>
<span id="94"> 94</span>
<span id="95"> 95</span>
<span id="96"> 96</span>
<span id="97"> 97</span>
<span id="98"> 98</span>
<span id="99"> 99</span>
<span id="100">100</span>
<span id="101">101</span>
<span id="102">102</span>
<span id="103">103</span>
<span id="104">104</span>
<span id="105">105</span>
<span id="106">106</span>
<span id="107">107</span>
<span id="108">108</span>
<span id="109">109</span>
</pre><pre class="rust"><code><span class="doccomment">//! Aliases for the type operators used in this crate.</span>

<span class="doccomment">//! Their purpose is to increase the ergonomics of performing operations on the types defined</span>
<span class="doccomment">//! here. For even more ergonomics, consider using the `op!` macro instead.</span>
<span class="doccomment">//!</span>
<span class="doccomment">//! For example, type `X` and type `Y` are the same here:</span>
<span class="doccomment">//!</span>
<span class="doccomment">//! ```rust</span>
<span class="doccomment">//! # #[macro_use] extern crate typenum;</span>
<span class="doccomment">//! use std::ops::Mul;</span>
<span class="doccomment">//! use typenum::{Prod, P5, P7};</span>
<span class="doccomment">//!</span>
<span class="doccomment">//! type X = &lt;P7 as Mul&lt;P5&gt;&gt;::Output;</span>
<span class="doccomment">//! type Y = Prod&lt;P7, P5&gt;;</span>
<span class="doccomment">//!</span>
<span class="doccomment">//! assert_type_eq!(X, Y);</span>
<span class="doccomment">//! ```</span>

<span class="comment">// Aliases!!!</span>
<span class="kw">use</span> <span class="ident"><span class="kw">crate</span>::type_operators</span>::{
    <span class="ident">Abs</span>, <span class="ident">Cmp</span>, <span class="ident">Gcd</span>, <span class="ident">Len</span>, <span class="ident">Logarithm2</span>, <span class="ident">Max</span>, <span class="ident">Min</span>, <span class="ident">PartialDiv</span>, <span class="ident">Pow</span>, <span class="ident">SquareRoot</span>,
};
<span class="kw">use</span> <span class="ident">core::ops</span>::{<span class="ident">Add</span>, <span class="ident">BitAnd</span>, <span class="ident">BitOr</span>, <span class="ident">BitXor</span>, <span class="ident">Div</span>, <span class="ident">Mul</span>, <span class="ident">Neg</span>, <span class="ident">Rem</span>, <span class="ident">Shl</span>, <span class="ident">Shr</span>, <span class="ident">Sub</span>};

<span class="doccomment">/// Alias for the associated type of `BitAnd`: `And&lt;A, B&gt; = &lt;A as BitAnd&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">And</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">BitAnd</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;
<span class="doccomment">/// Alias for the associated type of `BitOr`: `Or&lt;A, B&gt; = &lt;A as BitOr&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Or</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">BitOr</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;
<span class="doccomment">/// Alias for the associated type of `BitXor`: `Xor&lt;A, B&gt; = &lt;A as BitXor&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Xor</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">BitXor</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;

<span class="doccomment">/// Alias for the associated type of `Shl`: `Shleft&lt;A, B&gt; = &lt;A as Shl&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Shleft</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Shl</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;
<span class="doccomment">/// Alias for the associated type of `Shr`: `Shright&lt;A, B&gt; = &lt;A as Shr&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Shright</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Shr</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;

<span class="doccomment">/// Alias for the associated type of `Add`: `Sum&lt;A, B&gt; = &lt;A as Add&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Sum</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Add</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;
<span class="doccomment">/// Alias for the associated type of `Sub`: `Diff&lt;A, B&gt; = &lt;A as Sub&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Diff</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Sub</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;
<span class="doccomment">/// Alias for the associated type of `Mul`: `Prod&lt;A, B&gt; = &lt;A as Mul&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Prod</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Mul</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;
<span class="doccomment">/// Alias for the associated type of `Div`: `Quot&lt;A, B&gt; = &lt;A as Div&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Quot</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Div</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;
<span class="doccomment">/// Alias for the associated type of `Rem`: `Mod&lt;A, B&gt; = &lt;A as Rem&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Mod</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Rem</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;

<span class="doccomment">/// Alias for the associated type of</span>
<span class="doccomment">/// `PartialDiv`: `PartialQuot&lt;A, B&gt; = &lt;A as PartialDiv&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">PartialQuot</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">PartialDiv</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;

<span class="doccomment">/// Alias for the associated type of `Neg`: `Negate&lt;A&gt; = &lt;A as Neg&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Negate</span><span class="op">&lt;</span><span class="ident">A</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Neg</span><span class="op">&gt;</span><span class="ident">::Output</span>;

<span class="doccomment">/// Alias for the associated type of `Abs`: `AbsVal&lt;A&gt; = &lt;A as Abs&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">AbsVal</span><span class="op">&lt;</span><span class="ident">A</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Abs</span><span class="op">&gt;</span><span class="ident">::Output</span>;

<span class="doccomment">/// Alias for the associated type of `Pow`: `Exp&lt;A, B&gt; = &lt;A as Pow&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Exp</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Pow</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;

<span class="doccomment">/// Alias for the associated type of `Gcd`: `Gcf&lt;A, B&gt; = &lt;A as Gcd&lt;B&gt;&gt;::Output&gt;`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Gcf</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Gcd</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;

<span class="doccomment">/// Alias to make it easy to add 1: `Add1&lt;A&gt; = &lt;A as Add&lt;B1&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Add1</span><span class="op">&lt;</span><span class="ident">A</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Add</span><span class="op">&lt;</span><span class="ident"><span class="kw">crate</span>::bit::B1</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;
<span class="doccomment">/// Alias to make it easy to subtract 1: `Sub1&lt;A&gt; = &lt;A as Sub&lt;B1&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Sub1</span><span class="op">&lt;</span><span class="ident">A</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Sub</span><span class="op">&lt;</span><span class="ident"><span class="kw">crate</span>::bit::B1</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;

<span class="doccomment">/// Alias to make it easy to multiply by 2. `Double&lt;A&gt; = Shleft&lt;A, B1&gt;`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Double</span><span class="op">&lt;</span><span class="ident">A</span><span class="op">&gt;</span> <span class="op">=</span> <span class="ident">Shleft</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident"><span class="kw">crate</span>::bit::B1</span><span class="op">&gt;</span>;

<span class="doccomment">/// Alias to make it easy to square. `Square&lt;A&gt; = &lt;A as Mul&lt;A&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Square</span><span class="op">&lt;</span><span class="ident">A</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Mul</span><span class="op">&gt;</span><span class="ident">::Output</span>;
<span class="doccomment">/// Alias to make it easy to cube. `Cube&lt;A&gt; = &lt;Square&lt;A&gt; as Mul&lt;A&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Cube</span><span class="op">&lt;</span><span class="ident">A</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">Square</span><span class="op">&lt;</span><span class="ident">A</span><span class="op">&gt;</span> <span class="kw">as</span> <span class="ident">Mul</span><span class="op">&lt;</span><span class="ident">A</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;

<span class="doccomment">/// Alias for the associated type of `SquareRoot`: `Sqrt&lt;A&gt; = &lt;A as SquareRoot&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Sqrt</span><span class="op">&lt;</span><span class="ident">A</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">SquareRoot</span><span class="op">&gt;</span><span class="ident">::Output</span>;

<span class="doccomment">/// Alias for the associated type of `Cmp`: `Compare&lt;A, B&gt; = &lt;A as Cmp&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Compare</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Cmp</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;

<span class="doccomment">/// Alias for the associated type of `Len`: `Length&lt;A&gt; = &lt;A as Len&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Length</span><span class="op">&lt;</span><span class="ident">T</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">T</span> <span class="kw">as</span> <span class="ident">Len</span><span class="op">&gt;</span><span class="ident">::Output</span>;

<span class="doccomment">/// Alias for the associated type of `Min`: `Minimum&lt;A, B&gt; = &lt;A as Min&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Minimum</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Min</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;

<span class="doccomment">/// Alias for the associated type of `Max`: `Maximum&lt;A, B&gt; = &lt;A as Max&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Maximum</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Max</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;

<span class="kw">use</span> <span class="ident"><span class="kw">crate</span>::type_operators</span>::{
    <span class="ident">IsEqual</span>, <span class="ident">IsGreater</span>, <span class="ident">IsGreaterOrEqual</span>, <span class="ident">IsLess</span>, <span class="ident">IsLessOrEqual</span>, <span class="ident">IsNotEqual</span>,
};
<span class="doccomment">/// Alias for the associated type of `IsLess`: `Le&lt;A, B&gt; = &lt;A as IsLess&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Le</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">IsLess</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;
<span class="doccomment">/// Alias for the associated type of `IsEqual`: `Eq&lt;A, B&gt; = &lt;A as IsEqual&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Eq</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">IsEqual</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;
<span class="doccomment">/// Alias for the associated type of `IsGreater`: `Gr&lt;A, B&gt; = &lt;A as IsGreater&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Gr</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">IsGreater</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;
<span class="doccomment">/// Alias for the associated type of `IsGreaterOrEqual`:</span>
<span class="doccomment">/// `GrEq&lt;A, B&gt; = &lt;A as IsGreaterOrEqual&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">GrEq</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">IsGreaterOrEqual</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;
<span class="doccomment">/// Alias for the associated type of `IsLessOrEqual`: `LeEq&lt;A, B&gt; = &lt;A as IsLessOrEqual&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">LeEq</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">IsLessOrEqual</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;
<span class="doccomment">/// Alias for the associated type of `IsNotEqual`: `NotEq&lt;A, B&gt; = &lt;A as IsNotEqual&lt;B&gt;&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">NotEq</span><span class="op">&lt;</span><span class="ident">A</span>, <span class="ident">B</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">IsNotEqual</span><span class="op">&lt;</span><span class="ident">B</span><span class="op">&gt;</span><span class="op">&gt;</span><span class="ident">::Output</span>;
<span class="doccomment">/// Alias for the associated type of `Logarithm2`: `Log2&lt;A&gt; = &lt;A as Logarithm2&gt;::Output`</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">Log2</span><span class="op">&lt;</span><span class="ident">A</span><span class="op">&gt;</span> <span class="op">=</span> <span class="op">&lt;</span><span class="ident">A</span> <span class="kw">as</span> <span class="ident">Logarithm2</span><span class="op">&gt;</span><span class="ident">::Output</span>;
</code></pre></div>
</section><section id="search" class="content hidden"></section><div id="rustdoc-vars" data-root-path="../../" data-current-crate="typenum" data-search-index-js="../../search-index.js" data-search-js="../../search.js"></div>
    <script src="../../main.js"></script><script src="../../source-script.js"></script><script src="../../source-files.js"></script>
</body></html>